Subject: LDP request

From: ksreeni <[email-masked]>
Date: Wed, 03 May 2000 17:06:08 +0530

Hi,

>     3.4.2 Request Driven Label Assignment

>   In this scheme labels are assigned in response to normal
>  processing of request based control traffic. Examples of such
>  control protocols are RSVP. As an LSR processes RSVP messages it
>   can, as it makes or changes entries in its forwarding tables,
>   assign labels to those entries.

>   Among the properties of this scheme are:

>  - The computational load of assignment and distribution and
>    the bandwidth consumed by label distribution are bounded by
>    the amount of control traffic in the system.

>  - Labels are in the general case preassigned. If a route
>    exists then a label has been assigned to it (and
>    distributed). Traffic may be label swapped immediately it
>    arrives, there is no label setup latency at forwarding time.

>  - Requires LSRs to be able to process control traffic load
>    only.

>  - Depending upon the number of flows supported, this approach
>    may require a larger number of labels to be assigned
>    compared with topology driven assignment.

        In the above the 4th paragraph says, labels are preassigned  and
distributed. How labels are preassigned and distributed even before the
data packet has come to LER. If the labels are preassigned and
distributed , when LDP request message is used.

    Can somebody answer my query by taking an unlabeled L3 packet as
input to LER.

thanks,
Sreeni.